<div class="titleDialog" style="height: 18%;">
    <mat-icon style="color: white;">post_add</mat-icon>
    <p style="margin-left: 10px;">
      เพิ่มรายชื่อ
    </p>
  </div>
  <div style="margin-left: 7%;margin-right: 7%;">
    <div>รหัสผู้ใช้</div>
    <mat-form-field appearance="outline">
      <input matInput [(ngModel)]="username" (keyup)="onKey($event)" required/>
    </mat-form-field>
  </div>
  <div style="margin-left: 7%;margin-right: 7%;">
    <div>ชื่อ-นามสกุล</div>
    <mat-form-field appearance="outline">
      <input matInput [(ngModel)]="name" [disabled]="isDisable" [style.color]="att.font" [style.fontSize]="att.f"/>
      <mat-hint style=" font-family: 'Kanit', sans-serif;font-size: 12px;"
        >{{error}}
      </mat-hint>
    </mat-form-field>
  </div>
<div
    class="column"
    style="width:100%;display: flex;height: 10%; margin-left: 7%;margin-top: 5%;"
  >
    <button
      (click)="onClose()"
      class="buttonDialog"
      style="background-color: #999999; margin-right: 10px;"
    >
      ยกเลิก
    </button>
    <button
      color="primary"
      (click)="onConfirm()"
      class="buttonDialog"
      style="margin-left: 10px; background-color: #009688;"
    >
      ยืนยัน
    </button>
  </div>